## org.eclipse.jst.jsf.taglibprocessing.attributevalues
Class PathType

    java.lang.Object
      org.eclipse.jst.jsf.metadataprocessors.AbstractMetaDataEnabledFeature
          org.eclipse.jst.jsf.metadataprocessors.AbstractRootTypeDescriptor
              org.eclipse.jst.jsf.taglibprocessing.attributevalues.PathType

All Implemented Interfaces:
  IMetaDataEnabledFeature, ITypeDescriptor

Direct Known Subclasses:
  RelativePathType, ResourceBundleType, URIType, WebPathType

    public abstract class PathType

extends AbstractRootTypeDescriptor

EXPERIMENTAL - may change or dissappear

Constructor Summary
`PathType()` Constructor

Method Summary
`java.util.List<IValidationMessage>` `getValidationMessages()`

Methods inherited from class org.eclipse.jst.jsf.metadataprocessors.AbstractRootTypeDescriptor
`getFeatureAdapters, getTypeExtension, setTypeExtension`

Methods inherited from class org.eclipse.jst.jsf.metadataprocessors.AbstractMetaDataEnabledFeature
`getMetaDataContext, getStructuredDocumentContext, setMetaDataContext, setStructuredDocumentContext`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PathType

    public PathType()

  Constructor

Method Detail

### getValidationMessages

    public java.util.List<IValidationMessage> getValidationMessages()

  Returns:
    list of `IValidationMessage`